@import url(https://fonts.googleapis.com/css?family=Nunito);
html {
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
}

body {
  margin: 0;
  font-family: "Nunito", sans-serif;
  font-size: 14px;
  background-color: #0079bf;
  min-height: 100vh;
}

a {
  background-color: transparent;
}

[hidden] {
  display: none;
}

blockquote, dl, dd, h1, h2, h3, h4, h5, h6, figure, p, pre {
  margin: 0;
}

button, input, optgroup, select, textarea {
  padding: 0;
  line-height: inherit;
  color: inherit;
}

button, input {
  overflow: visible;
}

button, input, optgroup, select, textarea {
  font-family: inherit;
  font-size: 100%;
  line-height: 1.15;
  margin: 0;
}

#app {
  display: flex;
  flex-direction: column;
  position: relative;
  height: 100vh;
  overflow-y: auto;
}

nav {
  min-height: 45px;
  background-color: #026AA7;
}

.content {
  position: relative;
  overflow: hidden;
  padding: 1rem;
  flex-grow: 1;
}

main {
  overflow: auto;
  height: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
}

.kanban-board {
  bottom: 0;
  left: 0;
  margin-bottom: 8px;
  overflow-x: auto;
  overflow-y: hidden;
  padding-bottom: 8px;
  position: absolute;
  right: 0;
  top: 0;
  -webkit-user-select: none;
  -moz-user-select: none;
       user-select: none;
  white-space: nowrap;
}

.kanban-board .card-wrapper {
  box-sizing: border-box;
  display: inline-block;
  height: 100%;
  margin: 0 6px;
  vertical-align: top;
  white-space: nowrap;
  width: 272px;
}

.card-wrapper .card-content {
  background-color: #ebecf0;
  border-radius: 3px;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  max-height: 100%;
  position: relative;
  white-space: normal;
  width: 100% !important;
}

.card-wrapper .card-header {
  display: flex;
  justify-content: space-between;
  min-height: 20px;
  padding: 10px 8px;
  position: relative;
}

.card-wrapper .card-header .card-title {
  margin: 3px;
  color: #0079bf;
}

.close {
  position: relative;
  display: inline-block;
  width: 1rem;
  height: 1rem;
  overflow: hidden;
  opacity: 0.5;
  cursor: pointer;
}

.close:before, .close:after {
  content: "";
  position: absolute;
  height: 2px;
  width: 100%;
  top: 50%;
  left: 0;
  margin-top: -1px;
  background: #000;
}

.close:before {
  transform: rotate(45deg);
}

.close:after {
  transform: rotate(-45deg);
}

.close:hover {
  opacity: 1;
}

.card-body {
  display: flex;
  padding: 0 10px;
  /* flex-direction: column; */
  flex-wrap: wrap;
  /* flex-grow: 1; */
}

.card-body .task-drag {
  flex: 1 1 0%;
  overflow: hidden;
}

.task-drag .task-drag-transition {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  flex-wrap: wrap;
  height: 100%;
  overflow: hidden;
}

.task-drag .task-drag-transition .task-item {
  padding: 0.5rem;
  margin-bottom: 0.5rem;
  display: flex;
  flex-wrap: wrap;
  cursor: pointer;
  border-radius: 0.375rem;
  background-color: #fff;
  box-shadow: 0 1px 0 rgba(9, 30, 66, 0.2509803922);
}

button {
  width: auto;
  color: #fff;
  text-align: center;
  padding: 0.5rem 1rem;
  background-color: #4299e1;
  border-color: transparent;
  border-radius: 0.25rem;
  cursor: pointer;
}
button:hover {
  background-color: #2b6cb0;
}

.card-footer {
  padding: 0.5rem;
}

.create-task-btn {
  width: 100%;
  background-color: #9f7aea;
}
.create-task-btn:hover {
  background-color: #9062eb;
}

.create_button_wrapper {
  box-sizing: border-box;
  display: inline-block;
  height: 100%;
  margin: 0;
  vertical-align: top;
  white-space: nowrap;
  width: 272px;
}

.create-column-btn {
  width: 270px;
  background: #ebecf0;
  color: #0079bf;
  font-weight: 700;
}
.create-column-btn:hover {
  background-color: #d2d3d7;
}

.modal-content {
  padding: 1rem;
}

.modal-content .title {
  font-size: 1.25rem;
  text-align: left;
  margin-bottom: 0.5rem;
  font-weight: 700;
}

.modal-content input[type=text] {
  padding: 0.25rem 0.5rem;
  border: 2px solid #e2e8f0;
  border-radius: 0.25rem;
  line-height: 1.5;
  width: -webkit-fill-available;
}

.close_btn {
  background-color: #f44336;
  margin-right: 0.5rem;
}
.close_btn:hover {
  background-color: #da190b;
}

.modal-content .modal-button-group {
  display: flex;
  justify-content: flex-end;
  margin-top: 0.5rem;
}

.text-error {
  font-size: 0.75rem;
  color: #ef4444;
}

.input-group {
  padding: 0.5rem 0;
}

textarea {
  padding: 0.25rem 0.5rem;
  border: 2px solid #e2e8f0;
  border-radius: 0.25rem;
  width: -webkit-fill-available;
}
